%define		eet_ver		1.7.10
%define		eina_ver	1.7.10
%define		evas_ver	1.7.10

Summary:	Evas benchmarking tool
Summary(pl.UTF-8):	Narzędzie do testowania szybkości Evas
Name:		expedite
Version:	1.7.10
Release:	5
License:	BSD
Group:		Applications/Graphics
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	9114093970804f74d7673ddbece06a14
URL:		http://trac.enlightenment.org/e/wiki/Expedite
BuildRequires:	DirectFB-devel
BuildRequires:	SDL-devel
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	evas-devel >= %{evas_ver}
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xcb-util-keysyms-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	eet >= %{eet_ver}
Requires:	eina >= %{eina_ver}
Requires:	evas >= %{evas_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expedite is the official Evas benchmark tool. It can test different
engines, such as X11, XRender, OpenGL (also ES variant), SDL, DirectFB
and so on. Its tests are quite extensive, trying to reproduce real
world usage cases.

%description -l pl.UTF-8
Expedite to oficjalne narzędzie do testowania szybkości Evas. Potrafi
testować różne silniki, takie jak X11, XRender, OpenGL (także w
wariancie ES), SDL, DirectFB itd. Testy są obszerne, próbują odtworzyć
rzeczywiste przypadku użycia.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e '1s,/usr/bin/env python,/usr/bin/python,' $RPM_BUILD_ROOT%{_bindir}/expedite-cmp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/expedite
%attr(755,root,root) %{_bindir}/expedite-cmp
%{_datadir}/expedite
%changelog
* Mon Jul 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/expedite.git;a=log;h=master

* Mon Jul 10 2017 Jan Rękorajski <baggins@pld-linux.org> 6fc9b4e
- rebuild with SDL_gfx 2.0.26
- release 5 (by relup.sh)

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> d5cef9e
- release 4 (rebuild with DirectFB 1.7.7)

* Sat Oct 11 2014 Jan Rękorajski <baggins@pld-linux.org> c03195e
- release 3 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> ae29d9a
- rebuild with DirectFB 1.7.2
- release 2 (by relup.sh)

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> c595682
- updated to 1.7.10

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> a342eea
- updated to 1.7.9

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 3caaa95
- release 2 (by relup.sh)

* Mon Jul 22 2013 Jakub Bogusz <qboosh@pld-linux.org> fe9038a
- updated to 1.7.7

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8ae530e
- rebuild with DirectFB 1.7.0
- release 2 (by relup.sh)

* Tue Apr 09 2013 Jakub Bogusz <qboosh@pld-linux.org> cbfb750
- updated to 1.7.6

* Sun Jan 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 3dfde05
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 358456b
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> a47e852
- updated to 1.7.2

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 5408fb5
- updated to 1.7.1

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 29bbf8a
- rebuild with DirectFB 1.6.x
- release 2 (by relup.sh)

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 5046207
- updated to 1.7.0

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 1f9dfb8
- updated to 1.2.0

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 05a1812
- release 3

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> a9b0610
- release 2

* Tue Dec 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 67520a8
- new

